<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization');

$videoUrl = isset($_GET['o']) ? filter_var($_GET['o'], FILTER_SANITIZE_URL) : '';

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="shortcut icon" href="https://www.google.com/favicon.ico">
    <link rel="stylesheet" href="/ok.css">
    <title>Video Player</title>
    <script src="https://ssl.p.jwpcdn.com/player/v/8.36.3/jwplayer.js"></script>
    <script>jwplayer.key = 'ITWMv7t88JGzI0xPwW8I0+LveiXX9SWbfdmt0ArUSyc=';</script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://img.streamvd.club/players/devtools.js"></script>
	<script type="text/javascript">
        if(typeof devtoolsDetector === "undefined") {
            location.reload();
        } else {
            devtoolsDetector.launch();
            devtoolsDetector.addListener(function (isOpen) {
                if(isOpen) {
                location.reload();
                }
            }); 
        } 
    </script>
    <script type="text/javascript">
    window.oncontextmenu = function () {
		return false;
	}
	$(document).keydown(function (event) {
		if (event.keyCode == 123) {
			return false;
		}
		else if ((event.ctrlKey && event.shiftKey && event.keyCode == 73) || (event.ctrlKey && event.shiftKey && event.keyCode == 74) || (event.ctrlKey && event.keyCode == 85) || (event.ctrlKey && event.keyCode == 17)) {
			return false;
		}
	});
		</script>
	<noscript>
        <div style="border:1px solid black;padding:30px;text-align:center;font-size:30px;">
            Your browser does not support JavaScript or have been turned off
        </div>
    </noscript>
</head>
<body>
    <div id="player-container"></div>
    <script type="text/javascript">
        var player = jwplayer("player-container");
        player.setup({
            playlist: [{
                sources: [{
                    file: "<?php echo htmlspecialchars($videoUrl); ?>",
                    type: "hls"
                }]
            }],
            width: "100%",
            height: "100%",
            primary: "html5",
            hlshtml: true,
            autostart: false,
            aspectratio: "16:9",
            preload: "auto",
            mute: false,
            controls: true,
            stretching: "uniform",
            controlbar: {
                volumetooltip: true,
                elements: [
                    "play",
                    "progress",
                    "current-time",
                    "duration",
                    "mute",
                    "volume",
                    "fullscreen"
                ]
            },
            playbackRateControls: true,
            playbackRates: [0.5, 1, 1.25, 1.5, 2],
            skin: {
                name: "netflix",
                active: "#2e9cd5"
            }
        });

        player.on('ready', function() {
            const playerContainer = player.getContainer();
            const buttonContainer = playerContainer.querySelector(".jw-button-container");
            const spacer = buttonContainer.querySelector(".jw-spacer");
            const timeSlider = playerContainer.querySelector(".jw-slider-time");

            const rewindContainer = playerContainer.querySelector(
                ".jw-display-icon-rewind"
            );
            const forwardContainer = rewindContainer.cloneNode(true);
            const forwardDisplayButton = forwardContainer.querySelector(
                ".jw-icon-rewind"
            );
            forwardDisplayButton.style.transform = "scaleX(-1)";
            forwardDisplayButton.ariaLabel = "Forward 10 seconds";
            const nextContainer = playerContainer.querySelector(".jw-display-icon-next");
            nextContainer.parentNode.insertBefore(forwardContainer, nextContainer);

            playerContainer.querySelector(".jw-display-icon-next").style.display = "none";
            const rewindControlBarButton = buttonContainer.querySelector(
                ".jw-icon-rewind"
            );
            const forwardControlBarButton = rewindControlBarButton.cloneNode(true);
            forwardControlBarButton.style.transform = "scaleX(-1)";
            forwardControlBarButton.ariaLabel = "Forward 10 seconds";
            rewindControlBarButton.parentNode.insertBefore(
                forwardControlBarButton,
                rewindControlBarButton.nextElementSibling
            );

            forwardDisplayButton.addEventListener('click', function() {
                const currentTime = player.getPosition();
                player.seek(currentTime + 10);
            });

            forwardControlBarButton.addEventListener('click', function() {
                const currentTime = player.getPosition();
                player.seek(currentTime + 10);
            });


            if(/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
                player.setConfig({
                    stretching: "uniform",
                    width: "100%",
                    height: "100%"
                });
            }
        });

        player.on('error', function() {
            console.error('Video playback error');
            player.load({
                sources: [{
                    file: "<?php echo $videoUrl; ?>",
                    type: "hls"
                }]
            });
        });
    </script>
</body>
</html>